<section class="cheap-flights-section">
    <h2 class="cheapest-flights-header">Cheapest flights</h2>
    <section class="datepicker-section">
        <date-wrapper
                on-fly-out-date-change="$ctrl.setFlyOutDate(date)"
                on-fly-back-date-change="$ctrl.setFlyBackDate(date)"
                flyout-date="$ctrl.flyOutDate"
                flyback-date="$ctrl.flyBackDate"></date-wrapper>
    </section>
    <section class="airport-select-section">
        <div class="dep-autocomplete"><span class="autocomlete-label">Departure:</span>
            <airport-selector airport-from-hash="$ctrl.departureAirport"
                              airports-list="$ctrl.depAirportList"
                              on-value-changed="$ctrl.setDepAirport(val)"></airport-selector>
        </div>
        <div class="dest-autocomplete"> <span class="autocomlete-label">Destination:</span>
            <airport-selector airport-from-hash="$ctrl.destinationAirport"
                              airports-list="$ctrl.destAirportList"
                              on-value-changed="$ctrl.setDestAirport(val)"></airport-selector>
        </div>
        <div class="control-wrapp">
            <button class="search-btn" ng-click="$ctrl.getCheapestFlightsList()">Get cheapest flights</button>
        </div>
    </section>
    <section class="flight-list-section">
        <flight-list caption="'flights'" flights="$ctrl.cheapestFlightsList"></flight-list>
    </section>
</section>